package com.mvc.dao;

import com.mvc.entity.TAlarmNoticeDetail;
import com.mvc.entity.TAlarmNoticeDetailExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TAlarmNoticeDetailMapper {
    long countByExample(TAlarmNoticeDetailExample example);

    int deleteByExample(TAlarmNoticeDetailExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TAlarmNoticeDetail record);

    int insertSelective(TAlarmNoticeDetail record);

    List<TAlarmNoticeDetail> selectByExample(TAlarmNoticeDetailExample example);

    TAlarmNoticeDetail selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TAlarmNoticeDetail record, @Param("example") TAlarmNoticeDetailExample example);

    int updateByExample(@Param("record") TAlarmNoticeDetail record, @Param("example") TAlarmNoticeDetailExample example);

    int updateByPrimaryKeySelective(TAlarmNoticeDetail record);

    int updateByPrimaryKey(TAlarmNoticeDetail record);
}